/*ВСЁ, ЧТО СВЯЗАНО С ОРУЖИЕМ, НАХОДИТСЯ В ЭТОЙ БИБЛИОТЕКЕ*/
//Форварды
forward IsAPistol(gunid);//Пистолет?
forward IsAMelee(gunid);//Ручное?
forward IsAGirlsStuff(gunid);//Для девушек?
forward IsAGrenade(gunid);//Гранаты?
forward IsAShotgun(gunid);//Дробовик?
forward IsAMachineGun(gunid);//Автомат?
forward IsAnAssault(gunid);//Осадное?
forward IsARifle(gunid);//Винтовка?
forward IsAHeavyAssault(gunid);//Тяжелая осада?
forward IsAStuff1(gunid);//Вещи1?
forward IsAStuff2(gunid);//Вещи2?
forward IsACheaterWeapon(playerid);//Держит ли игрок в руках считиренное оружие
//Функции
public IsAPistol(gunid)
{
	if(gunid >= 22 && gunid <=24)
	{
	    return 1;
	}
	return 0;
}
public IsAMelee(gunid)
{
	if(gunid >= 2 && gunid <= 9)
	{
	    return 1;
	}
	return 0;
}
public IsAGirlsStuff(gunid)
{
	if(gunid >= 10 && gunid <= 15)
	{
	    return 1;
	}
	return 0;
}
public IsAGrenade(gunid)
{
	if((gunid >= 16 && gunid <= 18) || gunid == 39)
	{
	    return 1;
	}
	return 0;
}
public IsAShotgun(gunid)
{
	if(gunid >= 25 && gunid <= 27)
	{
	    return 1;
	}
	return 0;
}
public IsAMachineGun(gunid)
{
	if(gunid == 28 || gunid == 29 || gunid == 32)
	{
	    return 1;
	}
	return 0;
}
public IsAnAssault(gunid)
{
	if(gunid == 30 || gunid == 31)
	{
	    return 1;
	}
	return 0;
}
public IsARifle(gunid)
{
	if(gunid == 33 || gunid == 34)
	{
	    return 1;
	}
	return 0;
}
public IsAHeavyAssault(gunid)
{
	if(gunid == 35 || gunid == 36 || gunid == 37)
	{
	    return 1;
	}
	return 0;
}
public IsAStuff1(gunid)//Баллончик
{
	if(gunid >= 41 && gunid <= 43 )
	{
	    return 1;
	}
	return 0;
}
public IsAStuff2(gunid)
{
	if(gunid >= 44 && gunid <= 46 )//Парашют
	{
	    return 1;
	}
	return 0;
}
public IsACheaterWeapon(playerid)
{
	new g = GetPlayerWeapon(playerid);
	if(g == 0) return 0;
	for(new i = 0; i < 11; i ++)
	{
		if(PlayerGun[playerid][i] == g)
		return 0;//Оружие не читерское
	}
	return 1;
}
